%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%global npm_name diagnostics

Name: %{?scl_prefix}nodejs-diagnostics
Version: 1.1.1
Release: 1%{?dist}
Summary: Tools for debugging your node
License: MIT
Group: Development/Libraries
URL: https://github.com/bigpipe/diagnostics
Source0: https://registry.npmjs.org/diagnostics/-/diagnostics-%{version}.tgz
%if 0%{?!scl:1}
BuildRequires: nodejs-packaging
%endif
Requires: npm(colorspace) >= 1.1.0
Requires: npm(colorspace) < 1.2.0
Requires: npm(enabled) >= 1.0.0
Requires: npm(enabled) < 1.1.0
Requires: npm(kuler) >= 1.0.0
Requires: npm(kuler) < 1.1.0
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
Provides: %{?scl_prefix}npm(%{npm_name}) = %{version}

%description
%{summary}

%prep
%setup -q -n package

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr browser.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr dist %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr example.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr output.PNG %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE.md
%doc README.md

%changelog
